import sys
import plumbum
import click

def is_command_available(command_name):
    try:
        plumbum.local.which(command_name)
        return True
    except:
        return False

def run_command(cmd, args, fail_on_nonzero_exit_code=True):
    try:
        return plumbum.local[cmd][*args] & plumbum.FG
    except Exception as e:
        if fail_on_nonzero_exit_code:
            click.echo(click.style(e, fg='bright_red'))
            sys.exit()
